# GNN2GNN
The success of Neural Networks (NN) is tightly linked with their architectural design—a complex problem by itself. We here introduce a novel framework leveraging Graph Neural Networks to Generate Neural Network (GNN2GNN) where powerful NN architectures can be learned out of a set of available architecture-performance pairs. GNN2GNN relies on a three-way adversarial training of GNN, to optimise a generator model capable of producing predictions about powerful NN architectures. GNN2GNN avoids the expensive and inflexible search of efficient structures typical of Neural Architecture Search approaches. Extensive experiments over two state-of-the-art datasets prove the strength of our framework, showing that it can generate powerful architectures with higher probability. Moreover, GNN2GNN outperforms possible counterparts for generating NN architectures and shows flexibility against dataset quality degradation. Finally, GNN2GNN paves the way towards generalisation between datasets.

